Texa DeskDevelopers

Texa Desk Application API · Teams

Remove an Agent from Team

DELETE/api/v1/accounts/{account_id}/teams/{team_id}/team_members

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

team_idintegerrequired

The ID of the team to be updated

Body application/json

user_idsarray of integerrequired

IDs of users to be deleted from the team

Responses

200

Success

403

Access denied

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
404

Team not found

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring
422

User must exist

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring